
QGIS Application - Bug report #7995

kml / mapinfo's mif broken in latest qgis master

2013-06-03 09:58 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16846

Description

This regressed quite recently. Possibly commit:d4945db8?

QGIS doesn't display features of loaded .kml and .mif files. The user can open the files but the resulting layer has no geometry, as well as

style and label options missing.

Steps to reproduce:

1. Load the attached {kirirom_1.kml, TerrorConcession.mif}

2. Notice the missing geometry as well as missing style and label in the layer property window

I'm flagging this as corrupted since projects will be missing geometries when rendering.

Associated revisions

Revision 383e7f1d - 2013-06-04 11:14 AM - Radim Blazek

OGR layers with unknown geometry type containing single geometry type fix, fixes #7995

History

#1 - 2013-06-03 09:59 PM - Mathieu Pellerin - nIRV

Note: this might actually affect more than the two formats mentioned above, I just didn't have other formats available on this computer.

#2 - 2013-06-04 12:33 AM - Jürgen Fischer

- Assignee set to Radim Blazek

See also http://lists.osgeo.org/pipermail/qgis-developer/2013-June/026521.html

#3 - 2013-06-04 02:08 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"383e7f1d941f3cdb3e0d0e1501343858c81e9b78".

#4 - 2013-06-04 02:10 AM - Radim Blazek
http://lists.osgeo.org/pipermail/qgis-developer/2013-June/026521.html


I was not able to reproduce it with kml, but hopefully the problem was the same as for mif and it depends on GDAL version if it happens also with kml.

#5 - 2013-06-04 02:17 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

Radim, thanks that was fast. I'll re-open if the kml file is still an issue on the enxt osgeo4w build.

#6 - 2013-06-04 10:53 PM - Mathieu Pellerin - nIRV

Just confirmed we're back on track; .kml / .mif working perfectly on windows 7 and linux.

Files

kirirom_1.kml 9.84 KB 2013-06-03 Mathieu Pellerin - nIRV

TerrorConcession.mif 450 Bytes 2013-06-03 Mathieu Pellerin - nIRV

TerrorConcession.mid 2 Bytes 2013-06-03 Mathieu Pellerin - nIRV
